﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;

namespace CallServer_Error_MapSuite
{
    public partial class CallServer : System.Web.UI.Page, System.Web.UI.ICallbackEventHandler
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
            Map1.CurrentExtent = new RectangleShape(-79.266877, 12.379699, -66.682445, -4.627170);

            if (!Page.IsPostBack)
            {
                String cbReference =
                Page.ClientScript.GetCallbackEventReference(this, "arg", "ReceiveServerData", "context");
                String callbackScript;
                callbackScript = "function CallServer(arg, context)" +
                "{ " + cbReference + ";}";
                ScriptManager.RegisterClientScriptBlock(this.Page, this.Page.GetType(), "CallServer", callbackScript, true);
            }
        }

        protected String returnValue;
        public void RaiseCallbackEvent(String eventArgument)
        {
            returnValue = "Server Mesage";
        }

        public String GetCallbackResult()
        {
            return returnValue;
        }
    }
}